header {
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: space-between;
  
}

.logo {
  display: flex;
  border: 0;
  margin-left: 50px;
  flex-grow: 1;
}

.icon-menu {
  display: none;
}

nav {
  margin: 0;
  border: 0;
  display: flex;
  justify-content: flex-end;

  text : {
    transform: capitalize;
  }

  a {
    padding: 36px 35px;
    @include font_texte(14px);
    position: relative;
  }

  a:hover::after,
  a.active::after {
    content: "";
    left: 0;
    height: 5px;
    width: 100%;
    bottom: 0px;
    margin: 0;
    display: block;
    position: absolute;
    background: -webkit-linear-gradient(left, rgb(99, 114, 255) 0%, rgb(121, 203, 255) 100%);
  }
}

.num_telephone {
  display: flex;
  flex-wrap: nowrap;
  margin: 0;
  border: 0;
  float: right;

  a {
    padding: 32px;
    background: #6270ff;
    color: white;

    span {
      font-size: 25px;
    }
  }

  p {
    background: #ecedf5;
    padding: 30px;
    margin: 0;
    @include font_texte(18px, 700);
  }
}

@media (max-width: $sm) {
  header {
    display: flex;
    flex-direction: column;

    .logo {
      margin: 0 auto;
      padding: 60px;
    }

    .icon-menu {
      color: black;
      font-size: 50px;
      position: relative;
      display: block;
      float: right;
      width: 50px;
      height: 66px;
      cursor: pointer;
    }

    .icon-menu::after {
      content: "";
      position: absolute;
      display: inline-block;
      width: 1rem;
      height: 0;
      top: 16px;
      left: 15px;
      box-shadow: 0 10px 0 1px white, 0 16px 0 1px white, 0 22px 0 1px white;
    }

    .menu {
      position: absolute;
      right: 0;
      top: 0;
      bottom: 0;
      overflow-y: scroll;
      -webkit-overflow-scrolling: touch;
      background-color: #444dad;
      width: 450px;
      transform: translateX(450px);
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      font-size: 0.5em;
      padding: 0;
      margin: 0;
    }

    .menu a,
    .menu a .active {
      display: block;
      height: 40px;
      text-align: center;
      line-height: 40px;
      @include font_texte(14px);
      color: white;
    }

    .num_telephone,
    .menu a .active::after {
      display: none;
    }
  }
}

@include respond-to(max-width, $md) {
  header {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
  }

  .icon-menu,
  .num_telephone {
    display: none;
  }
}
